Bug 209476 - [NEW PORT] devel/opendht: Lightweight Distributed Hash Table implementation
Summary: [NEW PORT] devel/opendht: Lightweight Distributed Hash Table implementation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on: 209474
Blocks: 209542
  Show dependency treegraph
 
Reported: 2016-05-13 02:03 UTC by Yuri Victorovich
Modified: 2016-05-28 06:10 UTC (History)
3 users (show)

See Also:


Attachments
shar archive (3.59 KB, text/plain)
2016-05-13 02:03 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-05-13 02:03:16 UTC
Created attachment 170239 [details]
shar archive

Passes poudriere on 9 and 10.
Comment 1 Bartek Rutkowski freebsd_committer 2016-05-13 08:46:44 UTC
Hi, this fails on configure stage, because it requires msgpack >= 1.2, while 1.1 is currently available.
Comment 2 Yuri Victorovich freebsd_committer 2016-05-13 08:52:52 UTC
Exactly, please note the Bug#209474 that it depends on.
Comment 3 Kurt Jaeger freebsd_committer 2016-05-27 19:29:17 UTC
Yuri, have you looked at 0.6.0, that was recently released ?

Interestingly, it fails to build on 11a.

0.5.2 looks better.
Comment 4 Yuri Victorovich freebsd_committer 2016-05-28 03:16:57 UTC
Kurt,

I looked at 0.6.0 and it is broken with some missing includes. So I will keep 0.5.2 for now.

Thanks,
Yuri
Comment 5 Kurt Jaeger freebsd_committer 2016-05-28 06:10:19 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-05-28 06:10:53 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 06:10:11 UTC 2016
New revision: 415975
URL: https://svnweb.freebsd.org/changeset/ports/415975

Log:
  New port: devel/opendht

  A lightweight C++11 Distributed Hash Table implementation originally based on
  https://github.com/jech/dht by Juliusz Chroboczek.

  * Light and fast C++11 Kademlia DHT library.
  * Distributed shared key->value data-store
  * Clean and powerfull distributed map API with storage of arbitrary binary
    values of up to 56 KB.
  * Optional public key cryptography layer providing data signature and
    encryption (using GnuTLS).
  * IPv4 and IPv6 support.
  * Python binding.

  WWW: https://github.com/savoirfairelinux/opendht/

  PR:		209476
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>

Changes:
  head/devel/Makefile
  head/devel/opendht/
  head/devel/opendht/Makefile
  head/devel/opendht/distinfo
  head/devel/opendht/files/
  head/devel/opendht/files/patch-include_opendht_value.h
  head/devel/opendht/pkg-descr
  head/devel/opendht/pkg-plist